// creator  : weidu.exe (version 23100)
// argument : SUELHAN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SUELHAN~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #54319 /* ~It is as I feared. The madman Irenicus has unleashed his anger upon the city. And worse yet, I now recognize the magic he has employed.~ [ELHAN113] */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #54320 /* ~Corruption magics, illusions from a race of spirits, the Rakshasa. Such creatures are very predatory. It would appear that there is no depth to which Irenicus will not sink.~ [ELHAN114] */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #54321 /* ~Suldanessellar is under siege. With this number of beasts under his command, Irenicus will be very hard to unseat.~ [ELHAN115] */
  IF ~~ THEN REPLY #54498 /* ~Direct assault, I say! Let his lackeys come! I'll take them all down!~ */ GOTO 3
  IF ~~ THEN REPLY #54499 /* ~I would not wish to damage the city. What would be the best course of action?~ */ GOTO 3
  IF ~~ THEN REPLY #54500 /* ~If you have suggestions, make them now. I will not let him best me again.~ */ GOTO 3
  IF ~~ THEN REPLY #59232 /* ~Whatever will get me to Demin the quickest.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.3 2.2 2.1 2.0
  SAY #54322 /* ~We must proceed with caution. Not everyone in the city can withstand an onslaught like this. Their safety must take priority.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #54501 /* ~You must seek out Ellesime. She will know what to do. She has a link to the divine not unlike your own, though through a much more benevolent spirit.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 6.0
  SAY #54502 /* ~Go, <CHARNAME>, I will garrison this area with my elite War Guards. We will shepherd people to safety as you secure the inner city.~ */
  IF ~~ THEN DO ~StartCutSceneMode()
StartCutScene("Cut66a")
~ UNSOLVED_JOURNAL #6836 /* ~Getting Inside the Palace in Suldanessellar

The Rhynn Lanthorn has shone the way to Suldanessellar, and Elhan was grieved to see that the city is under siege by multitudes of creatures brought by Irenicus, including devilish Rakshasa whose illusionary magicks hid the city in the first place.  Elhan has told me to seek out Queen Ellesime or High Priestess Demin, either of which may be able to do something about the invasion or help me find Irenicus.  Elhan himself will remain at the city's entrance and shepherd refugees safely out of the city.~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from: 4.0
  SAY #54515 /* ~Failing that, find the high priestess Demin. If anyone had warning of Irenicus and made preparations, it would be one of those two.~ */
  IF ~~ THEN GOTO 5
END

IF ~Global("Attacked","LOCALS",1)~ THEN BEGIN 7 // from:
  SAY #54518 /* ~<CHARNAME>! There is no time for this! Dispel whatever madness has come over you and return to the only course available to us!~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #54522 /* ~I make no pretence of supporting all actions you make, but we must ally for the time being! I will see to my people outside. Return to your hunt!~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~Global("ElvenAvatar","GLOBAL",0)
Global("TalkedToDemin","GLOBAL",0)~ THEN BEGIN 9 // from:
  SAY #54529 /* ~This does not bode well for the survival of the city. If Irenicus is not stopped it will be the end of a great history. Do not tarry in finding Ellesime or High Priestess Demin.~ [ELHAN116] */
  IF ~~ THEN REPLY #54576 /* ~The creatures in the city seem very powerful! How am I to defeat them all?~ */ GOTO 10
  IF ~~ THEN REPLY #54577 /* ~I will proceed with all haste.~ */ GOTO 12
  IF ~~ THEN REPLY #54578 /* ~What will they be able to do that I cannot?~ */ GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #54585 /* ~You are not. There are too many, and Irenicus remains protected while we waste time. Find Demin or Ellesime, as I said.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 11 // from: 9.2
  SAY #54586 /* ~This is a very old city. It would not have lasted without some protections of its own. Find Demin or Ellesime and they will no doubt bring those protections to bear.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from: 9.1
  SAY #54587 /* ~I trust you will. Time is critical.~ */
  IF ~~ THEN EXIT
END

IF ~Global("ElvenAvatar","GLOBAL",0)
Global("TalkedToDemin","GLOBAL",1)~ THEN BEGIN 13 // from:
  SAY #54588 /* ~Are things going well? I have secured several of my people from immediate danger, but if Irenicus is not stopped, our efforts are meaningless.~ [ELHAN117] */
  IF ~~ THEN REPLY #54668 /* ~I spoke to Demin. I am to secure the temple and activate the guardians within.~ */ GOTO 14
  IF ~~ THEN REPLY #54669 /* ~What can you tell me of the guardians within the temple?~ */ GOTO 16
  IF ~~ THEN REPLY #54670 /* ~Yes, yes, I am going as fast as I can. I'll save your precious city.~ */ GOTO 18
  IF ~~ THEN REPLY #54679 /* ~Your problems are an afterthought! I just want Irenicus!~ */ GOTO 19
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY #54685 /* ~The guardians! It has been long since we have had to call upon them, but I can think of no more dire a situation.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #54690 /* ~Do what you can, <CHARNAME>. I shall continue to help my people escape the carnage.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 16 // from: 13.1
  SAY #54694 /* ~The guardians! They are ancient spirits of warriors long ascended to legend. We have not had to call upon them in ages.~ */
  IF ~~ THEN GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 16.0
  SAY #54695 /* ~I suppose this situation warrants their awakening. Do what you must, <CHARNAME>. Irenicus must be brought to task.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 18 // from: 13.2
  SAY #54697 /* ~Do not make light of this predicament. If Irenicus goes unchecked we are all surely doomed.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 19 // from: 13.3
  SAY #54698 /* ~And you will only have him by helping us now! We must work together despite your personal grievances!~ */
  IF ~~ THEN EXIT
END

IF ~Global("ElvenAvatar","GLOBAL",1)~ THEN BEGIN 20 // from:
  SAY #54700 /* ~It is a sight of wonder, watching the Guardians as they sanctify our streets once more. You have done well.~ [ELHAN118] */
  IF ~~ THEN GOTO 21
END

IF ~~ THEN BEGIN 21 // from: 20.0
  SAY #55228 /* ~The way to Irenicus will now be less dangerous, though the mage himself will still prove a deadly foe. Seek him out... destroy his influence once and for all.~ [ELHAN119] */
  IF ~~ THEN EXIT
END
